# Match
Date: 2013-02-18

## org.simpleframework.xml.util
Interface Match

    public interface Match

This object is stored within a `Resolver` so that it can be retrieved using a string that matches its pattern. Any object that extends this can be inserted into the resolver and retrieved using a string that matches its pattern. For example take the following pattern "*.html" this will match the string "/index.html" or "readme.html". This object should be extended to add more XML attributes and elements, which can be retrieved when the `Match` object is retrieve from a resolver.

Author:
  Niall Gallagher

Method Summary
`java.lang.String` `getPattern()` This is the pattern string that is used by the resolver.

Method Detail

### getPattern

    java.lang.String getPattern()

  This is the pattern string that is used by the resolver. A pattern can consist of a "*" character and a "?" character to match the pattern. Implementations of this class should provide the pattern so that it can be used for resolution.

  Returns:
    this returns the pattern that is to be matched